org.bouncycastle.sasn1

## Class Asn1ObjectIdentifier

- java.lang.Object
- - org.bouncycastle.sasn1.Asn1Object
  - - org.bouncycastle.sasn1.DerObject
    - - org.bouncycastle.sasn1.Asn1ObjectIdentifier

Deprecated.
use corresponsding classes in org.bouncycastle.asn1.

    public class Asn1ObjectIdentifier
    extends DerObject

### Field Summary

### Fields inherited from class org.bouncycastle.sasn1.Asn1Object

`_baseTag, _contentStream, _tagNumber`

### Constructor Summary

Constructors
Constructor and Description
`Asn1ObjectIdentifier(java.lang.String oid)` Deprecated.

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)` Deprecated.
`int` `hashCode()` Deprecated.
`java.lang.String` `toString()` Deprecated.

### Methods inherited from class org.bouncycastle.sasn1.DerObject

`getEncoded, getRawContentStream, getTagNumber`

### Methods inherited from class org.bouncycastle.sasn1.Asn1Object

`isConstructed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Asn1ObjectIdentifier

    public Asn1ObjectIdentifier(java.lang.String oid)
                         throws java.lang.IllegalArgumentException

Deprecated.

Throws:
  `java.lang.IllegalArgumentException`

### Method Detail

#### toString

    public java.lang.String toString()

Deprecated.

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Deprecated.

Overrides:
  `equals` in class `java.lang.Object`